Bookings
Update Booking
Amend a DRAFT order — notably the order-level negotiated total, which re-derives the discount, VAT and grand total.
negotiated_total is only applied when present in the payload; to reset it
to the rate-card total, omit it and it is left unchanged. (Use create or a
fresh draft to clear it.)
PATCH
/
api
/
v1
/
bookings
/
{order_id}
Update Booking
curl --request PATCH \
--url https://api.capedigital.co.ke/inventory/api/v1/bookings/{order_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>",
"requires_production": true,
"negotiated_total": 1,
"signed_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.capedigital.co.ke/inventory/api/v1/bookings/{order_id}"
payload = {
"notes": "<string>",
"requires_production": True,
"negotiated_total": 1,
"signed_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notes: '<string>',
requires_production: true,
negotiated_total: 1,
signed_document_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.capedigital.co.ke/inventory/api/v1/bookings/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Update Booking
